Package picard.fingerprint

## Class ClusteredCrosscheckMetric

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.fingerprint.CrosscheckMetric
    - - picard.fingerprint.ClusteredCrosscheckMetric

-     public class ClusteredCrosscheckMetric
      extends CrosscheckMetric

  A metric class to hold the result of `ClusterCrosscheckMetrics` fingerprints.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.fingerprint.CrosscheckMetric

      `CrosscheckMetric.DataType, CrosscheckMetric.FingerprintResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Integer` | `CLUSTER` | The cluster identifier to which the two groups within this metric (`CrosscheckMetric.LEFT_GROUP_VALUE` and `CrosscheckMetric.RIGHT_GROUP_VALUE`) belong.
    `Integer` | `CLUSTER_SIZE` | The number of different groups that are assigned to this cluster.

    - ### Fields inherited from class picard.fingerprint.CrosscheckMetric

      `DATA_TYPE, LEFT_FILE, LEFT_GROUP_VALUE, LEFT_LANE, LEFT_LIBRARY, LEFT_MOLECULAR_BARCODE_SEQUENCE, LEFT_RUN_BARCODE, LEFT_SAMPLE, LOD_SCORE, LOD_SCORE_NORMAL_TUMOR, LOD_SCORE_TUMOR_NORMAL, RESULT, RIGHT_FILE, RIGHT_GROUP_VALUE, RIGHT_LANE, RIGHT_LIBRARY, RIGHT_MOLECULAR_BARCODE_SEQUENCE, RIGHT_RUN_BARCODE, RIGHT_SAMPLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusteredCrosscheckMetric()` |
    `ClusteredCrosscheckMetric​(CrosscheckMetric metric)` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLUSTER

          public Integer CLUSTER

      The cluster identifier to which the two groups within this metric (`CrosscheckMetric.LEFT_GROUP_VALUE` and `CrosscheckMetric.RIGHT_GROUP_VALUE`) belong.

    - #### CLUSTER_SIZE

          public Integer CLUSTER_SIZE

      The number of different groups that are assigned to this cluster. Should be the same value for all rows within the same `CLUSTER`.

  - ### Constructor Detail

    - #### ClusteredCrosscheckMetric

          public ClusteredCrosscheckMetric()

    - #### ClusteredCrosscheckMetric

          public ClusteredCrosscheckMetric​(CrosscheckMetric metric)